### Constant

# GObject VALUE_NOCOPY_CONTENTS

#### Declaration

    #define G_VALUE_NOCOPY_CONTENTS 134217728

#### Description

Flag to indicate that allocated data in a `GValue` shouldn’t be copied.

If passed to `G_VALUE_COLLECT()`, allocated data won’t be copied but used verbatim. This does not affect ref-counted types like objects.

This does not affect usage of `g_value_copy()`: the data will be copied if it is not ref-counted.

This flag should be checked by implementations of `GTypeValueFreeFunc`, `GTypeValueCollectFunc` and `GTypeValueLCopyFunc`.